> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete all Schemas

> Delete all schemas in a project



## OpenAPI

````yaml openapi/lexicon-schemas.openapi.yaml DELETE /projects/{projectId}/schemas
openapi: 3.0.2
info:
  title: Lexicon Schemas API
  description: >-
    Use schemas to sync your data dictionary with Mixpanel. Schemas can be used
    to populate Lexicon and provide additional context for your data.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  contact:
    url: https://mixpanel.com/get-support
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Create Schemas
    description: Operations to add schemas to a project
  - name: Delete Schemas
    description: Remove a schema from a project
  - name: Retrieve Schemas
    description: Get additional information about schemas
  - name: Update Schemas
    description: Make changes to an existing Schema
paths:
  /projects/{projectId}/schemas:
    parameters:
      - in: path
        name: projectId
        schema:
          type: integer
        required: true
        description: 'Your project id (eg: 12345)'
    delete:
      tags:
        - Delete Schemas
      summary: Delete all Schemas
      description: Delete all schemas in a project
      operationId: delete-all-schemas-in-project
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSchemasResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  schemas:
    DeleteSchemasResponse:
      type: object
      properties:
        results:
          type: object
          properties:
            delete_count:
              type: integer
        status:
          type: string
          enum:
            - ok
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````